unit about;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ShellApi, ExtCtrls;

type
  TAboutForm = class(TForm)
    lblCaption: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    lblUrl: TLabel;
    Label3: TLabel;
    Button1: TButton;
    lblVersion: TLabel;
    Image1: TImage;
    Label5: TLabel;
    Label6: TLabel;
    procedure lblUrlClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

uses Main;

{$R *.dfm}

procedure TAboutForm.lblUrlClick(Sender: TObject);
var
  str: string;
begin
  TLabel(Sender).cursor := crAppStart;
  application.processmessages;
  str := TLabel(Sender).caption;
  ShellExecute(0, nil, PChar(str), Nil, Nil, SW_NORMAL);
  TLabel(Sender).cursor := crHandPoint;
end;

procedure TAboutForm.FormCreate(Sender: TObject);
var
  i: integer;
begin
  lblVersion.Caption := GetVersion;
  lblVersion.Left := lblCaption.Left + lblCaption.Width - lblVersion.Width;

  Image1.Picture.Icon.Assign(application.Icon);
  i := DpiScale(32);
  if i >= 48 then i := 48
  else if i > 32 then i := 40
  else i := 32;
  Image1.Width := i;
  Image1.Height := i;
  Image1.Picture.Icon.Handle :=
    LoadImage(hINstance, 'MAINICON', IMAGE_ICON, i,i, LR_SHARED);
  Image1.Left := lblCaption.Left - DpiScale(5) - i;
end;

end.
